repo/gentoo:master commit in: app-emacs/corfu/

Maciej Barć <[email protected]>
Newsgroups gmane.linux.gentoo.cvs
Message-ID <1786705222.4aaf75a2b8aec1d461a0b63bb3ebce2745226844.xgqt@gentoo>
commit:     4aaf75a2b8aec1d461a0b63bb3ebce2745226844
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Fri Aug 14 10:38:30 2026 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Fri Aug 14 11:00:22 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4aaf75a2

app-emacs/corfu: bump to 2.13

Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 app-emacs/corfu/Manifest          |  1 +
 app-emacs/corfu/corfu-2.13.ebuild | 43 +++++++++++++++++++++++++++++++++++++++
 2 files changed, 44 insertions(+)

diff --git a/app-emacs/corfu/Manifest b/app-emacs/corfu/Manifest
index 427713c1b92a..be57ebcfe762 100644
--- a/app-emacs/corfu/Manifest
+++ b/app-emacs/corfu/Manifest
@@ -1,4 +1,5 @@
 DIST corfu-2.10.gh.tar.gz 54001 BLAKE2B a7e1d8df4b6bddadbf96cc288404b002823aef8ac5ed3d342dbdd810f7d236ae738e7aee83424603d060f0a6b66f2ec41469b2ba85f31798c49057e32401fac3 SHA512 e48075a391b94fb55a009363402f7085c8e8c0c06daaea1ae6e8d1eb2588cb44c7fcd28aa92786b2800fe5f3d6337939fa9a70bb1cf37ff4f92c2642e7d2bdbb
 DIST corfu-2.11.gh.tar.gz 54493 BLAKE2B 38c2cbd56f142365de9a5b20d4b92dfdd13497fb9a6f5b24c972c31a95460d9b59a72d1ab300524f509e0be6f068b79ca6de9fe1cadd86aae70e14bf847221d7 SHA512 0011017b4e9f69af9da54d8854a0c6e4cc024acd3e6774f95e9d0bd79120331c9aa8250a9b342f6098688868e79faf859ac4b8d393e9b4b861862047fb9b7cd9
 DIST corfu-2.12.gh.tar.gz 54724 BLAKE2B b4c70ae0350ecdea3e4d2d651942e7964ee3c13c7559e072dba838a06824453514d7627c02e9e2728ac91b9db7f730b3c05088064da39dfee1209056a943ee8f SHA512 6e78f0fcc80309628b423b7024d3251329a4a05dc8dc47739ccd83549df50a06ff76e96186e71447cc8b1559f6e75957b4b59edc69489206e1e00bc5e1a9599a
+DIST corfu-2.13.gh.tar.gz 54431 BLAKE2B c6c93d5045acb69e6d9f92ed12744c8e959e737235d799d3370dcb929f86f12de20d007cef7d205c750b28b5bbfb2cf14919d68a77811f3525e6895a09f385c9 SHA512 8d376fa090253e42119a0fd0343ad48d330525b24f1d686ed6d12026b4d447a7db0f9c95d3d70b045cdbe6a4ba20bdf9052dd913efe6fb4fce5415116a7a3999
 DIST corfu-2.9.gh.tar.gz 54019 BLAKE2B 80d53558faf8d6d3f9ecfd6fc40a73c970faa54d9551d3e809ced97c6319d5b3b2868df921fe7c2930f281fd9c8311fc29d147c4b5422785da21b34a99b284b3 SHA512 512e144bfa26666e85d5d700707308d4bcd9a804f4a0e45b79fb706cfb0d518430f05b09c4fb13d1e78ae2ba05d6706e3185825ff5b25b8326c887c570e38721

diff --git a/app-emacs/corfu/corfu-2.13.ebuild b/app-emacs/corfu/corfu-2.13.ebuild
new file mode 100644
index 000000000000..928f2adbf2ff
--- /dev/null
+++ b/app-emacs/corfu/corfu-2.13.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=9
+
+NEED_EMACS="29.1"
+
+inherit elisp
+
+DESCRIPTION="Completion Overlay Region FUnction"
+HOMEPAGE="https://github.com/minad/corfu/"
+
+if [[ "${PV}" == *9999* ]] ; then
+	inherit git-r3
+	EGIT_REPO_URI="https://github.com/minad/${PN}"
+else
+	SRC_URI="https://github.com/minad/${PN}/archive/${PV}.tar.gz
+		-> ${P}.gh.tar.gz"
+	KEYWORDS="~amd64 ~arm64 ~x86"
+fi
+
+LICENSE="GPL-3+"
+SLOT="0"
+
+RDEPEND="
+	>=app-emacs/compat-31.0
+"
+BDEPEND="
+	${RDEPEND}
+"
+
+DOCS=( NEWS.org README.org )
+SITEFILE="50${PN}-gentoo.el"
+
+src_prepare() {
+	default
+	mv ./extensions/*.el . || die
+}
+
+src_compile() {
+	elisp_src_compile
+	elisp-make-autoload-file
+}
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.